*,
*::after,
*::before {

    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: "Fjalla One", sans-serif;
    margin: 0;

}

body::selection {
    background-color: #b11d59;
}

.hero-section {

    background: linear-gradient(to bottom left,
            #a8255d 0%,
            #00c7b7 40%,
            #1ddbd0 70%,
            #00c7b7 100%);
    color: white;
    overflow: auto;
}

.navbar-image {
    margin-top: 10px;
    text-align: center;
}

.navbar-nav ul {
    list-style: none;
    display: flex;
    justify-content: center;
    gap: 20px;
    padding: 30px 0;
}

.navbar-nav a {
    text-decoration: none;
    color: white;
}

.hero-header {
    font-size: 100px;
    text-align: center;
    color: rgba(255, 255, 255, 0.1);
}

.hero-header::selection {
    color: white;
}

.hero-header h1 {
    margin: 0;
}

.hero-content {
    display: flex;
    justify-content: space-between;
    align-items: center;

}

.hero-content-caption {
    width: 30%;
    margin-left: 100px;
    padding: 30px;

}

.hero-content-caption h2 {
    font-size: 100px;
    margin: 0 0 40px 0;
    text-align: center;
    border-bottom: 5px solid white;
}

.hero-content-caption h5 {
    font-size: 30px;
    margin: 0 0 40px 0;
}

.hero-content-caption p {
    color: rgba(255, 255, 255, 0.7);
}

.specials {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #fff;
}

.products {
    display: flex;
    margin-top: 100px;
}

.item {
    text-align: center;
    border-top: 1px solid rgba(255, 255, 255, 0.3);
    border-right: 1px solid rgba(255, 255, 255, 0.3);
    border-bottom: 1px solid rgba(255, 255, 255, 0.3);
    padding: 20px;
}

.item:hover {
    background-color: #01d1bf;
}

.item img {
    display: block;
    margin: 0 auto 10px;
}

.price {
    font-size: 14px;
    color: #fff;
}

.item h3 {
    font-size: 30px;
}

.info {
    margin-right: 50px;
    width: 25%;
}

.info h2 {
    /* margin: 0; */
    font-size: 100px;
    text-transform: lowercase;
}

.info p {
    margin: 15px 0;
    font-size: 14px;
    line-height: 1.5;
}

.menu {
    padding: 20px;
}

.menu-cap {
    text-align: center;
}

.menu-cap h2 {
    font-size: 100px;
    padding: 20px;
    border-bottom: 5px solid white;
    display: inline-block;
    margin-bottom: 50px;
}

.menu-cap p {
    color: rgba(255, 255, 255, 0.7);
}

.menu-items {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    padding: 50px 100px;

}

.menu-column {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 20px;
    border: 1px solid rgba(255, 255, 255, 0.3);
    width: 40%;
}

.menu-column:hover {
    background-color: #01d1bf;
}

.menu-title {
    font-size: 24px;
    font-weight: bold;
    display: flex;
    align-items: center;
    gap: 15px;
}

.menu-title::after {
    content: "";
    flex: 1;
    height: 2px;
    background: #fff;
}

.menu-item {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    border-bottom: 1px solid rgba(255, 255, 255, 0.3);
    padding-bottom: 10px;
}

.menu-item:last-child {
    border-bottom: none;
}

.item-info {
    display: flex;
    align-items: center;
    gap: 15px;
}

.item-info img {
    width: 60px;
    height: 60px;
    border-radius: 5px;
    object-fit: cover;
}

.item-text {
    display: flex;
    flex-direction: column;
}

.item-text h4 {
    margin: 0;
    font-size: 16px;
    font-weight: bold;
}

.item-text p {
    margin: 0;
    font-size: 13px;
    color: #ddd;
}

.price {
    font-size: 16px;
    font-weight: bold;
}


/* .location  */

.all-content {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 50px;
}

.main-content {
    width: 30%;
    font-size: 70px;
}

.second-content {
    width: 30%;
}

.second-content h3 {
    font-size: 40px;

}

.second-content p {
    color: rgba(255, 255, 255, 0.7);
}

.location-map {
    width: 70%;

    margin: auto;
}

.location-map iframe {
    width: 100%;
}

.schedule-section {
    width: 70%;
    margin: 50px auto;
}

.schedule-row {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    margin-top: 50px;
}

.schedule-card {
    flex: 1;
    padding: 20px;
    border-top: 2px solid white;
}

.schedule-card h3 {
    font-size: 30px;
}


/* About */

.about-section {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 100px;
}

.about-image {
    width: 30%;
}

.about-content {
    width: 30%;
}

.about-content h2 {
    font-size: 100px;
    margin-bottom: 50px;
}

.about-content h5 {
    font-size: 30px;
}

.about-content p {
    font-size: 20px;
    color: rgba(255, 255, 255, 0.7);
}

.img-figma {
    position: relative;
}

.img-figma img {
    right: 19px;
    position: absolute;
    bottom: -50px;
    width: 150px;
    /* opacity: 0.8; */
}



/* contact section */

.contact-section {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding: 50px;
    gap: 60px;
    margin-top: 100px;
    margin-bottom: 100px;

}

.contact-info h2 {
    font-size: 80px;
    margin: 0 0 20px 0;
}

.contact-info p {
    font-size: 16px;
    margin-bottom: 30px;
}

.info-item {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}

.info-item span {
    width: 40px;
    height: 40px;
    border: 2px solid #fff;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 15px;
    font-size: 18px;
}

.contact-form {
    display: flex;
    flex-direction: column;
    gap: 15px;
    margin-top: 30px;

}

.contact-form input,
.contact-form textarea {
    flex: 1;
    padding: 12px;
    border: none;
    border-radius: 3px;
    font-size: 14px;
}

.contact-form textarea {
    resize: none;
    height: 500px;
}

.contact-form button {
    background-color: #b71357;
    border: none;
    padding: 12px 25px;
    border-radius: 25px;
    font-size: 16px;
    cursor: pointer;
    transition: 0.3s;
    align-self: flex-start;
}

/* footer */

.footer {
    background-color: #b71357;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 40px 20px;
    gap: 30px;
}

.footer-image {
    position: relative;
}

.footer-image img {
    position: absolute;
    width: 200px;
    top: -120px;
    left: -100px;
}

.footer-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 20px;
}

.footer-content h2 {
    font-size: 30px;
}

.footer-content p {
    width: 400px;
    margin-bottom: 20;
    font-size: 15px;
    color: rgba(255, 255, 255, 0.7);

}

.social-icons {
    display: flex;
    gap: 20px;
}

.social-icons a {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 45px;
    height: 45px;
    background: rgba(255, 255, 255, 0.2);
    text-decoration: none;
    font-size: 18px;
    border-radius: 3px;
    transition: 0.3s;
}

.social-icons a:hover {
    background: rgba(255, 255, 255, 0.4);
}

.footer-bottom {
    display: flex;
    justify-content: center;
    align-items: center;
    color: rgba(255, 255, 255, 0.7);

}

.footer-bottom p {
    margin: 0;
    font-size: 13px;
}

/* Media Queries */



/* @media (max-width: 600px) {

  .navbar-nav ul {
    flex-direction: column;
    gap: 10px;
  }

  .hero-header {
    font-size: 50px;
  }

  .hero-content {
    flex-direction: column;
    text-align: center;
    gap: 20px;
  }

  .hero-content-caption {
    width: 100%;
    margin: 0;
    padding: 10px;
  }

  .hero-content-caption h2 {
    font-size: 50px;
  }

  .products {
    flex-direction: column;
    align-items: center;
  }

  .info {
    width: 100%;
    margin: 20px 0 0;
    text-align: center;
  }

  .menu-items {
    padding: 20px;
  }

  .menu-column {
    width: 100%;
  }

  .all-content {
    flex-direction: column;
    text-align: center;
  }

  .main-content,
  .second-content {
    width: 100%;
  }

  .schedule-row {
    flex-direction: column;
  }

  .about-section {
    flex-direction: column;
    text-align: center;
    gap: 20px;
  }

  .about-image,
  .about-content {
    width: 100%;
  }

  .contact-section {
    flex-direction: column;
    gap: 30px;
  }

  .contact-form textarea {
    height: 200px;
  }

  .footer-content p {
    width: 100%;
  }

  .footer-image img {
    position: static;
    margin: auto;
  }
}

@media (min-width: 601px) and (max-width: 1024px) {

  .hero-header {
    font-size: 70px;
  }

  .hero-content {
    flex-direction: column;
    gap: 30px;
  }

  .hero-content-caption {
    width: 80%;
    margin: 0 auto;
    text-align: center;
  }

  .products {
    flex-wrap: wrap;
    justify-content: center;
  }

  .info {
    width: 60%;
    text-align: center;
    margin: 20px auto;
  }

  .menu-items {
    padding: 20px 50px;
  }

  .menu-column {
    width: 45%;
  }

  .all-content {
    flex-direction: column;
    text-align: center;
    gap: 20px;
  }

  .main-content,
  .second-content {
    width: 80%;
  }

  .schedule-row {
    flex-wrap: wrap;
  }

  .about-section {
    flex-direction: column;
    gap: 40px;
    text-align: center;
  }

  .about-image,
  .about-content {
    width: 80%;
  }

  .contact-section {
    flex-direction: column;
    align-items: center;
    gap: 40px;
  }

  .footer-image img {
    left: 0;
  }
}

@media (min-width: 1025px) {
} */
